; CORRUPT cracktro 
;
* ------------------------------------ offset dmacon
D_Init=$8200
D_PriB=$400
D_Btpl=$100
D_Copp=$80
D_Blit=$40
D_Sprt=$20
D_Disk=$10
D_CON=D_Init|D_PriB|D_Btpl|D_Copp|D_Blit|D_Sprt	

	section	corrupt,code_c

Start:
	move.w	#400,counter

	bsr	Init

MainLoop:
	move.w	#16,cntfade
	move.w	#$1200,CLbplcon		; 1 bitplan on
	move.w	#$423,CLcol2
	move.w	#$645,CLcol3

	bsr	TextPlotter		; write current page

	move.w	#$2200,CLbplcon		; 2 bitplans on

WaitVbl1:
	cmpi.b	#-2,$DFF006
	bne.s	WaitVbl1
.waitvbl:
	cmpi.b	#-1,$DFF006
	bne.s	.waitvbl

	bsr	FadeInPlan2

	subq.w	#1,cntfade
	bne.s	WaitVbl1
; 
	move.w	#200,cntfade
	move.w	#$3200,CLbplcon		; 3 bitplans on

WaitVbl2:
	cmpi.b	#-2,$DFF006
	bne.s	WaitVbl2
.waitvbl:
	cmpi.b	#-1,$DFF006
	bne.s	.waitvbl

	btst	#6,$BFE001		; LMB
	beq	EXIT

	subq.w	#1,cntfade
	bne.s	WaitVbl2
;
	move.w	#15,cntfade
	move.w	#$2200,CLbplcon

LoopFadeOut:
	cmpi.b	#-2,$DFF006
	bne.s	LoopFadeOut
.waitvbl:
	cmpi.b	#-1,$DFF006
	bne.s	.waitvbl

	bsr	FadeOutPlan1

	subq.w	#1,cntfade
	bne.s	LoopFadeOut
;
.cleartextscreen
	btst	#6,$DFF002		
.waitblitter:
	btst	#6,$DFF002
	bne.s	.waitblitter

	move.l	#Screen+44*288,$DFF054	 ; plan 2
	move.l	#$1000000,$DFF040
	move.w	#0,$DFF066
	move.w	#288*2*64+44/2,$DFF058

	btst	#6,$DFF002
.waitblit:
	btst	#6,$DFF002
	bne.s	.waitblit

	bra	MainLoop

; ===========================================================================

EXIT:
	move.w	#16,cntfade
	move.w	#$2200,CLbplcon

FadeEnd:
	cmpi.b	#-2,$DFF006
	bne.s	FadeEnd
.waitvbl:
	cmpi.b	#-1,$DFF006
	bne.s	.waitvbl

	bsr.w	FadeOutPlan1

	subq.w	#1,cntfade
	bne.s	FadeEnd

FadeMusic:
	cmpi.b	#-2,$DFF006
	bne.s	FadeMusic
.waitvbl:
	cmpi.b	#-1,$DFF006
	bne.s	.waitvbl

	move.w	P60_master(pc),d0
	ror.w	#2,d0
	bmi.s	.nofade
	bsr.w	FadeOutAll

.nofade:
	subq.w	#2,P60_master
	bne.s	FadeMusic

	bra	Restore

; =========================================================================== INTERRUPTION VBL

InterruptVBI:
	movem.l	d0-a6,-(sp)

	bsr	DoPattern

	tst.w	flagwaitpattern
	beq.s	.exitinterrupt

	subq.w	#1,counter
	bne.s	.exitinterrupt

.notyetnewpattern:		
	move.w	#400,counter
	clr.w	flagwaitpattern
	clr.w	ptTabPosPattern

.looppattern:
	lea	ptPatterns(pc),a0
	move.w	numpattern(pc),d0
	addq.w	#4,numpattern
	move.l	(a0,d0.w),ptCurrentPattern
	bne.s	.exitinterrupt

	move.w	#0,numpattern
	bra.s	.looppattern

.exitinterrupt:
	movem.l	(sp)+,d0-a6
	rts	

; ------------------------------------------------------

DoPattern:
	move.w	#4-1,d7
.loop:
	tst.w	flagwaitpattern
	bne.s	.next

	lea	TabPosPattern(pc),a2 ; 792 vals	= 396*2
	movea.l	ptCurrentPattern(pc),a3
	move.w	ptTabPosPattern(pc),d2

	movem.w	(a2,d2.w),d0-d1	; (x,y)
	move.w	d1,d2
	mulu.w	#22,d2		; y*22
	add.w	d0,d2
	move.b	(a3,d2.w),d2
	subi.b	#' ',d2

	bsr	putPattern

	addq.w	#4,ptTabPosPattern	; 2*.w x,y
	cmpi.w	#(22*18)*4,ptTabPosPattern
	bne.s	.next

	move.w	#1,flagwaitpattern

.next:
	dbf	d7,.loop
	rts	

; --

putPattern:
	lea	Screen,a0	; plan 1
	add.w	d0,d0
	ext.l	d0
	mulu.w	#44*16,d1
	add.l	d0,d1
	adda.l	d1,a0
	tst.b	d2
	bne.s	FilledSquare

	move.w	#0,d0		; Empty	square
	bra.s	MakeSquare
;
FilledSquare:
	move.w	#%1111111111111111,d0

MakeSquare:
	move.w	#16-1,d2	; 16 lines
.looph:	move.w	d0,(a0)
	lea	44(a0),a0
	dbf	d2,.looph
	rts	

; ------------------------------------------------------

TextPlotter:
	bsr	MessageBox

	tst.w	MBflagpause
	bne.s	TextPlotter

	move.w	#1,MBflagpause
	move.l	#0,MBposX
	rts	
; -- 
MessageBox:
	lea	Screen+44*288+1,a0	; plan2+1
	lea	FONT(pc),a1
	lea	Text(pc),a2
	lea	44*288(a0),a5	; 44*288 plan 3	(text outline)

	tst.w	MBflagpause
	beq	exitmb
DoChar:
	move.w	ptText(pc),d0
	move.b	(a2,d0.w),d0	; current char
	beq	.endofpage
	bmi	endoftext

	addq.w	#1,ptText
	cmp.b	#10,d0		; \n
	beq	.endofline

	subi.b	#' ',d0
	andi.l	#255,d0
	add.l	a1,d0
	movea.l	d0,a3
	move.w	MBposX(pc),d0
	move.w	MBposY(pc),d1
	mulu.w	#352,d1		; 44*8
	ext.l	d0
	add.l	d1,d0
	adda.l	d0,a5
	add.l	a0,d0
	movea.l	d0,a4
	move.w	#8-1,d1
.copychar:
	move.b	(a3),(a4)
	lea	60(a3),a3	; next line font
	lea	44(a4),a4	; next line screen
	dbf	d1,.copychar
; 
	bsr	DoOutline

	addq.w	#1,MBposX
	cmpi.w	#44,MBposX
	bne.s	exitmb

.endofline:
	move.w	#0,MBposX
	addi.w	#1,MBposY
	rts	
;

.endofpage:
	addq.w	#1,ptText
	clr.w	MBflagpause

exitmb:
	rts	
; 

endoftext:
	move.w	#0,ptText
	bra	DoChar

; ------------------------------------------------------ OUTLINE CHAR 

DoOutline:
	movea.l	d0,a0
	moveq	#8-1,d2		; 8
	moveq	#0,d0
.loopline:
	move.b	(a0),d0		; char line
	moveq	#6,d1		; 7 bits
.loopbit:
	btst	d1,d0
	beq.s	.next

	addq.w	#1,d1
	btst	d1,d0
	bne.s	.nod1

	bset	d1,(a5)		; 2eme plan
.nod1:
	subq.w	#2,d1
	bpl.s	.noset7

	bset	#7,1(a5)

.noset7:
	btst	d1,d0
	bne.s	.nosetd1

	bset	d1,(a5)

.nosetd1:
	addq.w	#1,d1

	btst	d1,-44(a0)
	bne.s	.nosetm44

	bset	d1,-44(a5)

.nosetm44:
	btst	d1,44(a0)
	bne.s	.next

	bset	d1,44(a5)
.next:
	dbf	d1,.loopbit

	lea	44(a0),a0
	lea	44(a5),a5
	dbf	d2,.loopline	; char line
	rts	

; ------------------------------------------------------ FADERS

FadeOutPlan1:
	lea	CLpalette,a0
	moveq	#2,d0
	moveq	#2-1,d1		; 2 colors
.loop:
	move.w	(a0,d0.w),d2
	move.w	8(a0,d0.w),d5
	move.w	d2,d3
	move.w	d2,d4
	move.w	d5,d6
	move.w	d5,d7
	andi.w	#$F00,d2
	andi.w	#$F0,d3
	andi.w	#$F,d4
	andi.w	#$F00,d5
	andi.w	#$F0,d6
	andi.w	#$F,d7
	cmp.w	d2,d5
	beq.s	.G
	subi.w	#$100,d5
.G:
	cmp.w	d3,d6
	beq.s	.B
	subi.w	#$10,d6
.B:
	cmp.w	d4,d7
	beq.s	.next
	subi.w	#1,d7
.next:
	or.w	d5,d6
	or.w	d7,d6
	move.w	d6,8(a0,d0.w)
	addq.l	#4,a0
	dbf	d1,.loop
	rts	

; ------------------------------------------------------

FadeInPlan2:
	lea	CLcol2,a0
	move.w	(a0),d0
	move.w	d0,d1
	andi.w	#$F,d1
	andi.w	#$FF0,d0
	cmp.w	#$E,d1
	beq.s	.G
	addi.w	#1,d1
.G:
	or.w	d1,d0
	move.w	d0,d1
	andi.w	#$F0,d1
	andi.w	#$F0F,d0
	cmp.w	#$E0,d1
	beq.s	.R
	addi.w	#$10,d1
.R:
	or.w	d1,d0
	move.w	d0,d1
	andi.w	#$F00,d1
	andi.w	#$FF,d0
	cmp.w	#$E00,d1
	beq.s	.next
	addi.w	#$100,d1
.next:
	or.w	d1,d0
	move.w	d0,(a0)
	move.w	d0,4(a0)
	rts	

; ------------------------------------------------------

FadeOutAll:
	lea	CLcol0,a0
	moveq	#8-1,d3		; 8 colors
.loopcolor:
	move.w	(a0),d0
	move.w	d0,d1
	move.w	d0,d2
	andi.w	#$F00,d0
	beq.s	.G
	subi.w	#$100,d0
.G:
	andi.w	#$F0,d1
	beq.s	.B
	subi.w	#$10,d1
.B:
	andi.w	#$F,d2
	beq.s	.next
	subi.w	#1,d2
	or.w	d0,d1
	or.w	d2,d1
	move.w	d1,(a0)
.next:
	addq.l	#4,a0
	dbf	d3,.loopcolor
	rts	

; ------------------------------------------------------ SAVE SYSTEM & INIT

Init:
	movea.l	4.w,a6
	lea	GfxName(pc),a1
	move.l	#0,d0
	jsr	-$228(a6)	; openlib
	move.l	d0,GfxBase

	movea.l	GfxBase(pc),a1
	movea.l	4.w,a6
	jsr	-$19E(a6)	; closelib
;
	lea	CLplans,a0
	move.l	#Screen,d0	; $6A428 / 6D5A8 / 70728
	move.w	#3-1,d1		; 3 plans
.loopbp:
	move.w	d0,6(a0)
	swap	d0
	move.w	d0,2(a0)
	swap	d0
	addi.l	#44*288,d0
	addq.l	#8,a0
	dbf	d1,.loopbp 
; 
	lea	InterruptServer(pc),a1
	move.b	#2,8(a1)
	move.b	#0,9(a1)
	move.l	#NameIntServer,$A(a1)
	clr.l	$E(a1)
	lea	InterruptVBI(pc),a0
	move.l	a0,$12(a1)
	moveq	#5,d0
	movea.l	4.w,a6
	jsr	-$A8(a6)	; addIntServer(intnumb,interrupt)(d0,a1)
; 
	lea	P60_data,a0
	lea	P60_samples,a1
	suba.l	a2,a2
	moveq	#0,d0		; AutoDetect
	lea	P60_motuuli(pc),a6
	jsr	0(a6)		; P60_Init

	move.w	#64,P60_master	; set volume max.
; 
	lea	$DFF000,a6
	move.w	2(a6),savedma
	move.w	$1C(a6),saveintena
	move.w	$10(a6),saveintreq

	move.w	#$7FFF,$9A(a6)
	move.w	#$E020,$9A(a6)		; set int VBL
	move.w	#D_Init|D_PriB|D_Btpl|D_Copp|D_Blit|D_Sprt,$96(a6)		; $87E0

	move.l	#CopperList,$80(a6)
	move.w	#0,$88(a6)
	rts	

; =========================================================================== RESTORE SYSTEM

Restore:
	btst	#6,$DFF002
.waitblit	
	btst	#6,$DFF002
	bne.s	.waitblit
		
	lea	$DFF000,a6
	move.w	#$7FFF,2(a6)
	movea.l	GfxBase(pc),a0
	move.l	$26(a0),$80(a6)
	move.w	#0,$88(a6)

	ori.l	#$80208000,savedma
	ori.w	#$8000,saveintreq
	move.w	savedma(pc),$96(a6)
	move.w	saveintena(pc),$9A(a6)
	move.w	saveintreq(pc),$9E(a6)

	lea	P60_motuuli(pc),a6
	jsr	8(a6)			; P60_End

	lea	InterruptServer(pc),a1
	moveq	#5,d0
	movea.l	4.w,a6
	jsr	-$AE(a6)	; remIntServer()
	moveq	#0,d0
	rts
; =========================================================================== P60 player
	CNOP	4,0
	
	include	"600.2_devpac2.s"

;============================================================================= DATAS
CopperList:	
	dc.l $1FC0000
		
	dc.l $8E1E50,$9032C8
	dc.l $920030,$9400D4
		
	dc.l $1020000,$1040000

	dc.l $10A0000,$1080000

	dc.l $1400000,$1420000
	dc.l $1440000,$1460000

	dc.w $100
CLbplcon:	
	dc.w $3200

	dc.l $960020		; dma sprites off
CLplans:
	dc.l $E00000,$E20000
	dc.l $E40000,$E60000
	dc.l $E80000,$EA0000

CLpalette:	
	dc.w $180
CLcol0:	dc.w $423
; pattern color
	dc.l $1820645
; font color
	dc.w $184
CLcol2:	dc.w $423

	dc.w $186
CLcol3:	dc.w $645
; outline colors
	dc.l $1880000
	dc.l $18A0000
	dc.l $18C0000
	dc.l $18E0000

	dc.l -2
;----------------------------------------------

ptCurrentPattern:
	dc.l	Pattern1
ptPatterns:	
	dc.l	Pattern1
	dc.l	Pattern2
	dc.l	Pattern3
	dc.l	Pattern4
	dc.l	0

MBflagpause:	dc.w 1

numpattern:	dc.w 4

GfxName:	
	dc.b 'graphics.library',0
	even
NameIntServer:	
	dc.b 'This cracktro was made by Venture Entertainment Inc.',0
	even

; 396 chars = 22*18
Pattern1:
	dc.b	"! ! ! ! ! ! ! ! ! ! ! "
	dc.b	" ! ! ! ! ! ! ! ! ! ! !"
	dc.b	"! ! ! ! ! ! ! ! ! ! ! "
	dc.b	"                      "
	dc.b	"!!!!!!!!!!!!!!!!!!!!!!"
	dc.b	"                      "
	dc.b	" !  ! ! !! !! ! !! !!!"
	dc.b	"!  ! !!! !! ! ! ! ! ! "
	dc.b	"!  ! !!  !  ! ! !!  ! "
	dc.b	"!  ! !!  !  ! ! !   ! "
	dc.b	" !  ! !  !   !! !   ! "
	dc.b	"                      "
	dc.b	"!!!!!!!!!!!!!!!!!!!!!!"
	dc.b	"                      "
	dc.b	"! ! ! ! ! ! ! ! ! ! ! "
	dc.b	" ! ! ! ! ! ! ! ! ! ! !"
	dc.b	"! ! ! ! ! ! ! ! ! ! ! "
	dc.b	" ! ! ! ! ! ! ! ! ! ! !"

Pattern2:
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"        !!!   !!!!!!!!"
	dc.b	"      !!    !!  !!!!!!"
	dc.b	"     !     ! !!! !!!!!"
	dc.b	"    !  !!  !!  !! !!!!"
	dc.b	"    !  !!  !!  !! !!!!"
	dc.b	"    !      !!!! ! !!!!"
	dc.b	"    !    ! ! !!!  !!!!"
	dc.b	"    !  !   !!! !! !!!!"
	dc.b	"     !  !!!   !! !!!!!"
	dc.b	"      !!   !!!  !!!!!!"
	dc.b	"        !!!   !!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"

Pattern3:
	dc.b	"!!!!!!!!!!!           "
	dc.b	"!!!!!!!!!! !          "
	dc.b	"!!!!!!!!!  !!         "
	dc.b	"!!!!!!!!   !!!        "
	dc.b	"!!!!!!!    !!!!       "
	dc.b	"!!!!!!     !!!!!      "
	dc.b	"!!!!!      !!!!!!     "
	dc.b	"!!!!       !!!!!!!    "
	dc.b	"!!!!       !!!!!!!    "
	dc.b	"!!!!       !!!!!!!    "
	dc.b	"!!!!!     ! !!!!!     "
	dc.b	"!!!!!!!  !!  !!       "
	dc.b	"!!!!!!!!!!!           "
	dc.b	"!!!   !!!  !!  !!!!   "
	dc.b	"!! !!!!! !!  ! !   !  "
	dc.b	"!! !!!!! !!  ! !!!!   "
	dc.b	"!!!   !!!  !!  !   !  "
	dc.b	"!!!!!!!!!!!           "

Pattern4:
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"   !!!  !!!   !!  !  !"
	dc.b	"  !! !! !! !!!!!  !  !"
	dc.b	"  !!    !! !!!!!! ! !!"
	dc.b	"   !!!  !!!  !!!!! !!!"
	dc.b	"     !! !! !!!!!!! !!!"
	dc.b	"     !! !! !!!!!! ! !!"
	dc.b	"  !! !! !! !!!!!  !  !"
	dc.b	"   !!!  !!!   !!  !  !"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"
	dc.b	"           !!!!!!!!!!!"

;============================================================================================ P60_data
P60_data:	
	 incbin	"data/p60.dat"
	 even
;=========================================================================================== ... pattern positions
;	792 vals = (22*18)*2
TabPosPattern:	
	dc.w	17,5,14,14,0,3,8,8,13,8
	dc.w	16,11,17,12,7,10,18,4,18,5,7,17
	dc.w	1,3,6,6
	dc.w	19,17,16,0,5,16,8,13,6,16,21,12,6,13
	dc.w	0,11,3,8,17,3,11,15,6,8,15,7,10,4,19
	dc.w	2,4,3,1,6,2,13,21,3,15,2,2
	dc.w	11,6,1,10,16,17,15,2,16,14,11,11
	dc.w	8,10,15,11,3,1,8,3,17,18,8,12,17,6,5
	dc.w	12,14,15,10,9,6,7,0,5,0,2,2
	dc.w	14,15,13,16,21,0,3,6,21,9,14,1,11,11
	dc.w	2,14,19,8,13,15,9,14,21,16,0,8,4,5,12
	dc.w	6,8,3,16,5,18,13,14,10,6,14,17,8,11,6,6
	dc.w	0,9,10,3,9,15,17,3,13,11,2,12,2,16,8
	dc.w	11,14,0,2,1,12,2,12,12
	dc.w	1,5,15,19,1,7,12,1,16,4,15,11,0,0
	dc.w	5,2,8,21,2,5,10,4,10,8,11,16,15,6,9
	dc.w	10,5,1,7,3,5,0,10,6,3,9,3,4,9,17,11
	dc.w	6,17,4,6,9,5,3,14,21,10,10
	dc.w	12,0,7,5,9,19,9,12,4,2,4,3,1,18,3,14
	dc.w	3,1,4,15,6,15,9,4,13,1,9,7,16,13,14
	dc.w	0,17,2,5,8,5,0,14,20,6,12,7,9,4,12
	dc.w	16,8,16,21,15,7,9,9,1,0,15,3,3
	dc.w	13,4,15,4,17,10,6,10,1,15,8,10,4,7,14
	dc.w	16,15,16,12,3,1,11,18,16,3,12,5,7,19,6,6
	dc.w	11,19,10,5,13,7,2,16,2,17,2,13,11,8,2,2
	dc.w	15,16,3,7,5,13,10,16,7,17,6,0,4,8,12
	dc.w	8,9,4,17,2,7,10,10
	dc.w	4,16,4,8,2,0,14,9,13,3,8,15,9,17,0
	dc.w	13,7,6,17,17
	dc.w	12,0,17,14,10,1,11,10,5,17,6,12,15,15
	dc.w	16,10,9,13,13
	dc.w	0,11,16,8,7,9,8,12,10,5,2,13,7,18,9
	dc.w	20,7,3,7,15,12,15,3,18,7,19,13,18,2
	dc.w	21,8,3,16,20,8,19,14,19,16,13,17,2,10
	dc.w	19,12,16,13,17,4,11,5,4,0,18,0,19,0
	dc.w	7,14,5,12,19,11,1,10,8,17,18,1,20,1
	dc.w	17,1,11,13,14,4,9,16,4,1,9,9
	dc.w	4,14,2,1,10,7,10,0,13,2,13,5,7,8,14
	dc.w	5,14,8,9,0,15,13,15,14,13,6,5,3,9,7
	dc.w	5,14,18,11,9,11,16,4,5,11,7,13,20,13
	dc.w	8,0,20,2,3,15,5,4,14,17,19,5,15,8,1
	dc.w	2,12,5,10,3,16,16,12,11,2,17,7,7
	dc.w	14,7,18,12,3,4,20,5,8,1,20,10,21,4,21
	dc.w	7,16,6,18,6,4,12,10,9,6,7,20,9,7,1
	dc.w	10,13,20,11,21,13,1,14,21,11,5,8,16,9
	dc.w	19,15,12,15,7,11,6,15,4,11,14,0,14,12
	dc.w	7,4,4,4,1,1,17,7,10,2,9,12,0,0
	dc.w	15,0,16,17,21,14,3,0,16,14,3,2,20,3
	dc.w	2,6,11,1,17,13,11,9,12,9,1,17,0,9,12
	dc.w	13,10,17,11,7,16,1,3,11,18,10,1,13,3
	dc.w	10,8,14,18,15,21,6,11,12,5,1,21,1,19
	dc.w	7,17,16,6,4,10,8,20,17,20,15,10,11,20
	dc.w	0,20,12,5,6,0,16,19,4,6,2,14,2,5,5
	dc.w	11,17,10,14,20,14,1,0,9,15,13,9,11,4
	dc.w	15,1,7,3,14,6,2,3,17,9,8,6,20,4,14,13,13,13
	dc.w	7,15,9,2,0,6,16,12,1,5,15,11,21,17,13
	dc.w	1,10,6,12,12
	dc.w	0,12,15,5,21,5,8,4,17,0,18,14,0,1,12
	dc.w	8,20,16,13,12,19,3,4,2,2,9,0,0

FONT:	incbin	"data/font.rw"
;========================================================================== P60 SAMPLES	
P60_samples:
	incbin	"data/p60.smp"
	even
;========================================================================== ...datas 
InterruptServer:dcb.b 32,0
GfxBase:	dc.l 0
 
cntfade:	dc.w 0

ptText:		dc.w 0

counter:	dc.w 0

ptTabPosPattern:dc.w 0
flagwaitpattern:dc.w 0

MBposX:		dc.w 0
MBposY:		dc.w 0
;------------------------------------------
savedma:	dc.w	0
saveintena	dc.w	0
saveintreq:	dc.w	0
;-------------------------------------------
Text:	dc.b $A	; \n
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b '              CORRUPT CRACKED:',$A
	dc.b $A
	dc.b '       ---------------------------',$A
	dc.b '         L A S E R M A N I A   2  ',$A
	dc.b '       ---------------------------',$A
	dc.b $A
	dc.b '                             ',$A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b '             CRACKED BY BEER',$A
	dc.b $A
	dc.b '            SUPPLIED BY MAVERICK',$A
	dc.b	0
;
	dc.b   $A
	dc.b   $A
	dc.b   $A
	dc.b   $A
	dc.b   $A
	dc.b   $A
	dc.b '        CALL OUR CORRUPTED BOARDS:',$A
	dc.b '       ---------------------------',$A
	dc.b $A
	dc.b $A
	dc.b 'CITY OF JOY     +46-302-36843   SCHQ',$A
	dc.b '                +46-302-35950 ',$A
	dc.b $A
	dc.b 'DIXIE           +48-71-575825   WHQ',$A
	dc.b $A
	dc.b 'DRAGONLANCE     +46-480-28276   SHQ',$A
	dc.b '                +46-480-28112',$A
	dc.b $A
	dc.b 'ONE EIGHT SEVEN +31-534-337569  DHQ',$A
	dc.b '                +31-534-339671',$A
	dc.b $A
	dc.b 'PITSTOP         +47-333-87955   NHQ',$A
	dc.b '                +47-333-84269',$A
	dc.b $A
	dc.b 'SKY TOWER       +45-74-833886   EHQ',$A
	dc.b $A
	dc.b 'WILD PALMS      +31-306-037959  DHQ',$A
	dc.b $A
	dc.b 'ZILLION HOURS   +358-313713472  FHQ',$A
	dc.b	0
;
	dc.b $A
	dc.b $A
	dc.b $A
	dc.b ' HERE IS MOST CORRUPTED MEMBERLIST EVER:',$A
	dc.b $A
	dc.b $A
	dc.b '-----------------------------------------',$A
	dc.b 'B.B.KING      SWEDISH     SYSOP',$A
	dc.b 'BEER          POLISH      CRACKER',$A
	dc.b 'BILLY         POLISH      SUPPLIER&TRADER',$A
	dc.b 'BZYK          POLISH      TRADER&W ORG',$A
	dc.b 'DALAMAR       SWEDISH     SYSOP&SCAN ORG',$A
	dc.b 'ENZO          DANISH      SYSOP',$A
	dc.b 'FREECALLER    POLISH      TRADER',$A
	dc.b 'HONCHO        SWEDISH     TRADER',$A
	dc.b 'MAVERICK      POLISH      SUPPLIER',$A
	dc.b 'MEPHI         POLISH      TRADER',$A
	dc.b 'PASZCZAK      POLISH      ASCII ARTIZT',$A
	dc.b 'PITER         POLISH      TRADER',$A
	dc.b 'QBA           POLISH      SUPPLIER&TRADER',$A
	dc.b 'RADAVI        DUTCH       SYSOP',$A
	dc.b 'SEALAPEX      NORGE       SYSOP',$A
	dc.b 'STYX          SWEDISH     TRADER',$A
	dc.b 'STH           NORGE       TRADER',$A
	dc.b 'TRAITOR       FINISH      SYSOP',$A
	dc.b 'WHIRLWIND     DUTCH       SYSOP&',$A
	dc.b 'WILD THING    POLISH      SYSOP&WO&CODER',$A
	dc.b '-----------------------------------------',$A
	dc.b	0
	even

	section	screen,bss_c

Screen	ds.b	44*288*3

